-- Common Utility Functions

local u = {}

-- Print Console Message
function u.console(strMessage, tag)
	
	-- Print Message With Tag
	if strMessage then
		if tag == "" then
			print(strMessage)
		else
			print((tag or "INFO") .. ": " .. strMessage)
		end
	else
		print()		
	end
	
end

-- Print Standard Debug Message
function u.debug(strMessage, context)
	
	-- Print Messages If Debug Mode 
	if _D.debug then
		u.console(strMessage, "DEBUG" .. " [" .. os.date("%X") .. (context and (" - " .. context .. "]") or "]"))
	end
	
end

return u